summaryrefslogtreecommitdiff
path: root/scripts/checkpatch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/checkpatch.sh')
-rwxr-xr-xscripts/checkpatch.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/scripts/checkpatch.sh b/scripts/checkpatch.sh
new file mode 100755
index 0000000..94d8c4f
--- /dev/null
+++ b/scripts/checkpatch.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+DIR="${BASH_SOURCE%/*}"
+
+source "$DIR/checkpatch_inc.sh"
+
+hash $CHECKPATCH 2>/dev/null ||
+ { echo >&2 "Could not find checkpatch.pl, aborting"; exit 1; }
+
+usage() {
+ SCR=$(basename "$0")
+ echo "Usage: $SCR [--working] Check working area"
+ echo " $SCR <commit> Check specific commit"
+ echo " $SCR --diff <commit1> <commit2> Check diff commit1...commit2"
+ echo " $SCR --cached Check staging area"
+ echo " $SCR --help This help"
+ exit 1
+}
+
+op=${1:---working}
+case "$op" in
+ --cached)
+ echo "Checking staging area: "
+ checkstaging
+ ;;
+ --diff)
+ echo "Checking diff (diff $1...$2)"
+ checkdiff "$2" "$3"
+ ;;
+ --working)
+ echo "Checking working area: "
+ checkworking
+ ;;
+ --help|-h)
+ usage
+ ;;
+ *)
+ echo "Checking commit: "
+ checkpatch "$1"
+ ;;
+
+esac